import os

class Config:
    SECRET_KEY = os.getenv('SECRET_KEY', 'change-me-in-production')

    DB_HOST = os.getenv('DB_HOST', 'db')
    DB_NAME = os.getenv('DB_NAME', 'UnternehmenDB')
    DB_USER = os.getenv('DB_USER', 'UnternehmenUser')
    DB_PASSWORD = os.getenv('DB_PASSWORD', 'UnternehmenPWD')
    DB_PORT = int(os.getenv('DB_PORT', '5432'))

    SMTP_SERVER = os.getenv("SMTP_SERVER")
    SMTP_PORT = int(os.getenv("SMTP_PORT", "587"))
    SMTP_USERNAME = os.getenv("SMTP_USERNAME")
    SMTP_PASSWORD = os.getenv("SMTP_PASSWORD")
    MAIL_SENDER = os.getenv("MAIL_SENDER")
    MAIL_USE_TLS = os.getenv("MAIL_USE_TLS", "true").lower() == "true"

    APP_BASE_URL = os.getenv('APP_BASE_URL', 'https://test.dasunternehmen.com')
